package AdThreeAnalysis;

import java.util.HashMap;
import java.util.Map;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class AdCorner extends JceStruct {
    static Map<String, AdActionButton> cache_actionButton = new HashMap();
    static PackageAction cache_packageAction = new PackageAction();
    public Map<String, AdActionButton> actionButton = null;
    public String appIconUrl = "";
    public String appName = "";
    public PackageAction packageAction = null;
    public String packageName = "";

    public AdCorner(Map<String, AdActionButton> map, PackageAction packageAction, String str, String str2, String str3) {
        this.actionButton = map;
        this.packageAction = packageAction;
        this.packageName = str;
        this.appIconUrl = str2;
        this.appName = str3;
    }

    public AdCorner() {
        super();
        this.actionButton = null;
        this.packageAction = null;
        this.packageName = "";
        this.appIconUrl = "";
        this.appName = "";
    }

    public final void writeTo(d dVar) {
        if (this.actionButton != null) {
            dVar.a(this.actionButton, 0);
        }
        if (this.packageAction != null) {
            dVar.a(this.packageAction, 1);
        }
        if (this.packageName != null) {
            dVar.a(this.packageName, 2);
        }
        if (this.appIconUrl != null) {
            dVar.a(this.appIconUrl, 3);
        }
        if (this.appName != null) {
            dVar.a(this.appName, 4);
        }
    }

    static {
        AdActionButton adActionButton = new AdActionButton();
        cache_actionButton.put("", adActionButton);
    }

    public final void readFrom(c cVar) {
        this.actionButton = (Map) cVar.a(cache_actionButton, 0, false);
        this.packageAction = (PackageAction) cVar.a(cache_packageAction, 1, false);
        this.packageName = cVar.b(2, false);
        this.appIconUrl = cVar.b(3, false);
        this.appName = cVar.b(4, false);
    }


}


